## PhoshWWanManager

PhoshWWanManager — Base class for PhoshWWan interface implementations

## Functions

PhoshWWanManager * | phosh_wwan_manager_new ()
void | phosh_wwan_manager_set_enabled ()
gboolean | phosh_wwan_manager_get_data_enabled ()

## Properties

gboolean | data-enabled | Read

## Types and Values

#define | PHOSH_TYPE_WWAN_MANAGER
struct | PhoshWWanManagerClass
| PhoshWWanManager

## Object Hierarchy

        GObject
        ╰── PhoshWWanManager
            ├── PhoshWWanMM
            ╰── PhoshWWanOfono

## Description

Common code for implementors of the PhoshWWan interface covering NetworkManager related bits.

## Functions

### phosh_wwan_manager_new ()

    PhoshWWanManager *
    phosh_wwan_manager_new (void);

### phosh_wwan_manager_set_enabled ()

    void
    phosh_wwan_manager_set_enabled (PhoshWWanManager *self,
                                    gboolean enabled);

### phosh_wwan_manager_get_data_enabled ()

    gboolean
    phosh_wwan_manager_get_data_enabled (PhoshWWanManager *self);

## Types and Values

### PHOSH_TYPE_WWAN_MANAGER

    #define PHOSH_TYPE_WWAN_MANAGER (phosh_wwan_manager_get_type())

### struct PhoshWWanManagerClass

    struct PhoshWWanManagerClass {
      GObjectClass parent_class;
    };

### PhoshWWanManager

    typedef struct _PhoshWWanManager PhoshWWanManager;

## Property Details

### The `“data-enabled”` property

      “data-enabled”             gboolean

Owner: PhoshWWanManager

Flags: Read

Default value: FALSE